Debian Bug report logs - #668431
PTS: binary package description is blank when package is not in unstable

version graph

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Jonathan Wiltshire <jmw@debian.org>

Date: Wed, 11 Apr 2012 19:45:04 UTC

Severity: normal

Fixed in version 2967

Done: Paul Wise <pabs@alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jmw@debian.org, debian-qa@lists.debian.org:
Bug#668431; Package qa.debian.org. (Wed, 11 Apr 2012 19:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
New Bug report received and forwarded. Copy sent to jmw@debian.org, debian-qa@lists.debian.org. (Wed, 11 Apr 2012 19:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: PTS: discreetly show binary package descriptions
Date: Wed, 11 Apr 2012 20:43:18 +0100
Package: qa.debian.org
Severity: wishlist

It would be helpful to show binary descriptions in some way to save finding
them elsewhere for unfamiliar packages, e.g. during a BSP. Perhaps
it could be a tooltip on the binary package links (trimmed to the first
paragraph maybe, for sanity).


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#668431; Package qa.debian.org. (Wed, 11 Apr 2012 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Apr 2012 19:57:06 GMT) Full text and rfc822 format available.

Message #10 received at 668431@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jonathan Wiltshire <jmw@debian.org>, 668431@bugs.debian.org
Subject: Re: Bug#668431: PTS: discreetly show binary package descriptions
Date: Wed, 11 Apr 2012 21:56:03 +0200
Hi,

On Wed, 11 Apr 2012, Jonathan Wiltshire wrote:
> It would be helpful to show binary descriptions in some way to save finding
> them elsewhere for unfamiliar packages, e.g. during a BSP. Perhaps
> it could be a tooltip on the binary package links (trimmed to the first
> paragraph maybe, for sanity).

It's already the case but it includes only the summary line of the
description. If you check out the source, it has the "title" attribute:

<a class="binpkg" title="dpkg: Debian package management system" href="http://packages.debian.org/dpkg">
  <span class="binpkg">dpkg</span>
</a>

Isn't that enough?

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#668431; Package qa.debian.org. (Wed, 11 Apr 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 11 Apr 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 668431@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 668431@bugs.debian.org
Subject: Re: Bug#668431: PTS: discreetly show binary package descriptions
Date: Wed, 11 Apr 2012 21:02:47 +0100
[Message part 1 (text/plain, inline)]
retitle 668431 PTS: show binary package descriptions for packages in any listed suite
thanks

On Wed, Apr 11, 2012 at 09:56:03PM +0200, Raphael Hertzog wrote:
> On Wed, 11 Apr 2012, Jonathan Wiltshire wrote:
> > It would be helpful to show binary descriptions in some way to save finding
> > them elsewhere for unfamiliar packages, e.g. during a BSP. Perhaps
> > it could be a tooltip on the binary package links (trimmed to the first
> > paragraph maybe, for sanity).
> 
> It's already the case but it includes only the summary line of the
> description. If you check out the source, it has the "title" attribute:

Ah, it seems that in the case of packages not currently in unstable, the
description is blank.


-- 
Jonathan Wiltshire                                      jmw@debian.org
Debian Developer                         http://people.debian.org/~jmw

4096R: 0xD3524C51 / 0A55 B7C5 1223 3942 86EC  74C3 5394 479D D352 4C51

<directhex> i have six years of solaris sysadmin experience, from
            8->10. i am well qualified to say it is made from bonghits
			layered on top of bonghits
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'PTS: show binary package descriptions for packages in any listed suite' from 'PTS: discreetly show binary package descriptions' Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 20:06:04 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2012 07:45:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'PTS: binary package description is blank when package is not in unstable' from 'PTS: show binary package descriptions for packages in any listed suite' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 31 Oct 2012 07:33:03 GMT) Full text and rfc822 format available.

Reply sent to Paul Wise <pabs@alioth.debian.org>:
You have taken responsibility. (Thu, 18 Apr 2013 05:57:08 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Wiltshire <jmw@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 05:57:08 GMT) Full text and rfc822 format available.

Message #26 received at 668431-done@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@alioth.debian.org>
To: 668431-done@bugs.debian.org
Subject: qa.debian.org bug fixed in revision 2967
Date: Thu, 18 Apr 2013 05:55:34 +0000
Version: 2967

This bug was closed by Paul Wise (pabs) in SVN revision 2967.
Note that it might take some time until the qa.debian.org code has
been updated and cronjobs have picked up changed data.

Commit message:

Show binary package descriptions even when the binaries have been removed (Closes: #668431)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:28:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:35:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.